'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.all = exports.exists = exports.fetch = exports.add = undefined;

var _info = require('./info');

var pool = {};
var signature = function signature(module, systemImport) {
  var loadFunc = systemImport.toString();
  if ((0, _info.isWebpack)(loadFunc)) {
    return (0, _info.getWebpackId)(loadFunc);
  }
  return (module.parent.id + '_' + systemImport.toString()).replace(/[\(\)]/g, '_').replace(/[^0-9a-zA-Z\/_\\]/g, '');
};
var add = exports.add = function add(module, systemImport, result) {
  return pool[signature(module, systemImport)] = result;
};
var fetch = exports.fetch = function fetch(module, systemImport) {
  return pool[signature(module, systemImport)];
};
var exists = exports.exists = function exists(module, systemImport) {
  return pool[signature(module, systemImport)] !== undefined;
};
var all = exports.all = function all() {
  return pool;
};